ImportOS · Docs
API reference

GET /v1/contacts/{id}

Get a contact

Get a contact

The contact with the number of its deals, requests and open tasks. Contacts of other tenants are 404. Requires scope write:deals.

  • Authentication: header Authorization: Bearer rv_live_... (API keys and scopes)
  • Required scope: write:deals
Descriptions of the operation, parameters and fields come from the OpenAPI specification (openapi.json).

Parameters

FieldInTypeRequiredDescription
idpathstring (uuid)yesResource id (UUID).

Responses

200

The contact.

application/json · Schema: ContactDetail

FieldTypeRequiredDescription
contactobjectyes
contact.idstring (uuid)yes
contact.type"lead" | "client" | "partner"yes
contact.fullNamestringyes
contact.phonesstring[]yesE.164.
contact.emailsstring[]yes
contact.telegramIdstring | nullyes
contact.telegramUsernamestring | nullyes
contact.viberIdstring | nullyes
contact.source"site" | "telegram" | "instagram" | "referral" | "ads" | "manual" | "viber" | "widget" | "extension" | "api" | "import" | "marketplace"yes
contact.ownerUserIdstring | null (uuid)yes
contact.tagsstring[]yes
contact.consentMarketingbooleanyes
contact.preferredChannel"telegram" | "viber" | "email" | "sms" | "webhook" | "in_app" | nullyes
contact.locale"uk" | "pl" | "en"yes
contact.notesstring | nullyes
contact.createdAtstringyesISO 8601 date-time (UTC).
contact.updatedAtstringyesISO 8601 date-time (UTC).
ownerobjectyes
owner.idstring (uuid)yes
owner.namestringyes
countsobjectyes
counts.dealsintegeryes
counts.openDealsintegeryes
counts.requestsintegeryes
counts.openTasksintegeryes

400

Invalid request parameters or body (code validation_error).

application/problem+json · Schema: Problem

401

Missing, malformed, unknown, revoked or expired API key (code unauthorized).

application/problem+json · Schema: Problem

403

The API key lacks the scope required by this endpoint (code insufficient_scope).

application/problem+json · Schema: Problem

404

No such contact in this tenant.

application/problem+json · Schema: Problem

429

Rate limit exceeded for the tenant plan (code rate_limited). Wait Retry-After seconds.

application/problem+json · Schema: Problem

On this page